MailcrateDocs
Campaigns

Resume a paused campaign

POST
/public/campaign/{id}/resume

Requires the campaign:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Response Body

application/json
  1. response
id*string
workspaceId*string
name*string
emailTemplateId*string|null
segmentId*string|null
senderId*string|null
schedulingJobId*string|null
status*string
Value in"cancelled""draft""no-recipients""paused""pending-review""scheduled""sending""sent""testing"
scheduledAt*|
Formatdate-time
startedAt*|
Formatdate-time
completedAt*|
Formatdate-time
totalRecipients*number
sentCount*number
deliveredCount*number
bouncedCount*number
openedCount*number
clickedCount*number
complainedCount*number
unconfirmedCount*number
frequencyCapSkippedCount*number
processingError*string|null
created*string
Formatdate-time
updated*string
Formatdate-time
createdByUserId*string|null
sentByUserId*string|null
externalAudienceId*string|null
audienceFilter*|null
subscriptionGroupId*string|null
emailTemplate*|null
segment*|null
sender*|null
externalAudience*|null
abTest*
variants*array<>
holdout*
pacing*|null
sendWindow*|null
localTime*|null
followUpOfCampaignId*string|null
followUpOf*|null
followUps*array<>
Example Request
curl -X POST 'https://api.mailcrate.io/public/campaign/string/resume' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "id": "string",  "workspaceId": "string",  "name": "string",  "emailTemplateId": "string",  "segmentId": "string",  "senderId": "string",  "schedulingJobId": "string",  "status": "cancelled",  "scheduledAt": "2019-08-24T14:15:22Z",  "startedAt": "2019-08-24T14:15:22Z",  "completedAt": "2019-08-24T14:15:22Z",  "totalRecipients": 0,  "sentCount": 0,  "deliveredCount": 0,  "bouncedCount": 0,  "openedCount": 0,  "clickedCount": 0,  "complainedCount": 0,  "unconfirmedCount": 0,  "frequencyCapSkippedCount": 0,  "processingError": "string",  "created": "2019-08-24T14:15:22Z",  "updated": "2019-08-24T14:15:22Z",  "createdByUserId": "string",  "sentByUserId": "string",  "externalAudienceId": "string",  "audienceFilter": {},  "subscriptionGroupId": "string",  "emailTemplate": {    "id": "string",    "name": "string",    "subject": "string"  },  "segment": {    "id": "string",    "name": "string"  },  "sender": {    "id": "string",    "name": "string",    "email": "string"  },  "externalAudience": {    "id": "string",    "name": "string"  },  "abTest": {    "enabled": true,    "metric": "clicks",    "goalEventName": "string",    "cohortPercentage": 0,    "winnerStrategy": "automatic",    "durationHours": 0,    "winnerVariantId": "string",    "phase": "awaiting_winner",    "startedAt": "2019-08-24T14:15:22Z",    "concludedAt": "2019-08-24T14:15:22Z"  },  "variants": [    {      "id": "string",      "label": "string",      "emailTemplateId": "string",      "senderId": "string",      "subjectOverride": "string",      "weight": 0,      "isWinner": true    }  ],  "holdout": {    "enabled": true,    "percentage": 0,    "goalEventName": "string"  },  "pacing": {},  "sendWindow": {},  "localTime": {},  "followUpOfCampaignId": "string",  "followUpOf": {    "id": "string",    "name": "string",    "status": "cancelled"  },  "followUps": [    {      "id": "string",      "name": "string",      "status": "cancelled"    }  ]}